Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.database
Class DefaultConnectionProviderBeanInfo

    java.lang.Object
      org.jivesoftware.util.JiveBeanInfo
          org.jivesoftware.database.DefaultConnectionProviderBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class DefaultConnectionProviderBeanInfo

extends JiveBeanInfo

BeanInfo class for the DefaultConnectionProvider class.

Author:
  Jive Software

Field Summary
`static String[]` | `PROPERTY_NAMES`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`DefaultConnectionProviderBeanInfo()`

Method Summary
`Class` | `getBeanClass()` Returns the bean Class.
`String` | `getName()` Returns the name of the class that the bean info applies to (which corresponds to the resource bundle that will be loaded).
`String[]` | `getPropertyNames()` Returns the names of the properties of the bean that should be exposed.

Methods inherited from class org.jivesoftware.util.JiveBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAMES

    public static final String[] PROPERTY_NAMES

Constructor Detail

### DefaultConnectionProviderBeanInfo

    public DefaultConnectionProviderBeanInfo()

Method Detail

### getBeanClass

    public Class getBeanClass()

  Description copied from class: `JiveBeanInfo`
  Returns the bean Class.

  Specified by:
    `getBeanClass` in class `JiveBeanInfo`
  Returns:
    the Class of the JavaBean that the BeanInfo is for.

### getPropertyNames

    public String[] getPropertyNames()

  Description copied from class: `JiveBeanInfo`
  Returns the names of the properties of the bean that should be exposed.

  Specified by:
    `getPropertyNames` in class `JiveBeanInfo`
  Returns:
    the names of the properties that should be exposed.

### getName

    public String getName()

  Description copied from class: `JiveBeanInfo`
  Returns the name of the class that the bean info applies to (which corresponds to the resource bundle that will be loaded). For example, for the class `com.foo.ExampleClass`, the name would be `ExampleClass`.

  Specified by:
    `getName` in class `JiveBeanInfo`
  Returns:
    the name of the JavaBean that the BeanInfo is for.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.